MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleFollow Public BundleGet BundleGet Public BundleUpdate Bundle Entry PermissionsUpdate BundleList BundlesUnfollow Public Bundle
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceBundles

List Bundles

GET
/v1/bundles

List the authenticated user's bundles.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

name?|

Filter by bundle name (prefix match)

is_public?|

Filter by public/private status

created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

_sort?|

Sort field: name, created_at, updated_at

_count? Count
Range1 <= value <= 100
Default20
_page? Page
Range1 <= value
Default1
verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/bundles"
{  "page": 0,  "page_size": 0,  "has_next": true,  "has_previous": true,  "total_pages": 0,  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "description": "string",      "is_public": false,      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "tags": [],      "deployment_count": 0,      "entries": [],      "followed_bundle_ids": []    }  ]}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Update Bundle

Previous Page

Unfollow Public Bundle

Next Page